RK-J - Feature #2676

Support for "YouTube books"
10/31/2022 07:10 AM - Ram Kordale

Status: Closed Start date: 10/31/2022
Priority: Normal Due date: 10/31/2022
Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1-RK-J-1 Spent time: 5.00 hours
Description

A new key value pair will be added in 1.txt #%&book_type:<bookType>#%&. <bookType> can be "YouTube", "Book" or blank. If
blank, the default value is "Book".

If it is of type YouTube, we need the following new functionality:

- collect all purple link phrases into purpleLinkList which is a comma separated list of the phrases.

- if purpleLinkList is not empty, immediately below the iframe embedding the youtube video, display the following: "Click on any of
the following to learn more: <purpleLinkList>" on angular pages.

- only on Prod: do not display the content-iframe on the Angular pages.

Subtasks:

Task # 2677: Store bookType field in the datastore during ingestion. Closed
Task # 2678: Store purple link phrases list & data content separately during the proces... Closed
Task # 2679: FE: Display the dataContent not on prod. Closed
Task # 2680: Test the implementation. Closed
History

#1 - 10/31/2022 09:07 AM - Ayush Khandelwal
- Due date set to 10/31/2022

#2 - 10/31/2022 09:12 AM - Ayush Khandelwal

- Status changed from New to In Progress

#3 - 10/31/2022 09:38 AM - Ram Kordale

- Description updated

#4 - 11/08/2022 01:10 PM - Ayush Khandelwal

- Status changed from In Progress to Feedback

Working as expected

#5 - 11/09/2022 06:09 AM - Ayush Khandelwal

- Assignee changed from Ayush Khandelwal to Ram Kordale

Working as expected

#6 - 03/29/2023 09:22 AM - Ram Kordale
- Status changed from Feedback to Closed
